> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Job

> Download Form 16 (Part A and Part B).

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#job-based-api-workflow) for job creation, payload upload, and status polling.
</Note>


## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/traces/deductors/forms/{certificate_type}
openapi: 3.1.0
info:
  title: compliance
  version: 1.0.0
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/traces/deductors/forms/{certificate_type}:
    parameters:
      - name: certificate_type
        in: path
        required: true
        deprecated: false
        schema:
          type: string
          enum:
            - form16
            - form16a
    post:
      tags:
        - TDS Certificate
      summary: Submit TDS Certificate Download Job
      parameters:
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  description: >-
                    Entity type identifier. Must be
                    `in.co.sandbox.tds.compliance.traces.credentials`.
                  type: string
                  enum:
                    - in.co.sandbox.tds.compliance.traces.credentials
                username:
                  description: Username of the TRACES portal. Must be a non-empty string.
                  type: string
                password:
                  description: Password of the TRACES portal. Must be a non-empty string.
                  type: string
                tan:
                  description: >-
                    Tax Deduction Account Number (TAN) of the deductor. Must
                    match `[A-Z]{4}[0-9]{5}[A-Z]{1}` (e.g., `AHMA09719B`).
                  type: string
                security_captcha:
                  description: >-
                    Challan and return details used to authenticate the TRACES
                    session and identify the certificate to download.
                  type: object
                  properties:
                    '@entity':
                      description: >-
                        Entity type identifier. Must be
                        `in.co.sandbox.tds.compliance.traces.credentials.security_captcha`.
                      type: string
                      enum:
                        - >-
                          in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter:
                      description: >-
                        Quarter for which the TDS certificate is to be
                        generated.
                      enum:
                        - Q1
                        - Q2
                        - Q3
                        - Q4
                      type: string
                    financial_year:
                      description: >-
                        Financial year for which the TDS certificate is to be
                        generated. Must match `FY YYYY-YY` (e.g., `FY 2023-24`).
                      example: FY 2024-25
                      type: string
                    form:
                      description: >-
                        TDS return form type. Form 16 can only be generated for
                        24Q returns; Form 16A can be generated for 26Q or 27Q
                        returns.
                      enum:
                        - 24Q
                        - 26Q
                        - 27Q
                      type: string
                    bsr_code:
                      description: >-
                        Bank-Branch Code or Form 24G Receipt Number. Must be
                        exactly 7 characters.
                      type: string
                      minLength: 7
                      maxLength: 7
                    challan_date:
                      description: >-
                        Date on which the challan was paid, as an EPOCH
                        timestamp in milliseconds. Must be a positive integer.
                      type: integer
                    challan_serial_no:
                      description: >-
                        Bank challan serial number. Must be exactly 5
                        characters.


                        When multiple challans are available, choose based on
                        the number of distinct PAN-amount combinations in the
                        challan:


                        **3 distinct PAN-amount combinations** (highest
                        priority)


                        **2 distinct PAN-amount combinations**


                        **1 distinct PAN-amount combination** (lowest priority)
                      type: string
                      minLength: 5
                      maxLength: 5
                    provisional_receipt_number:
                      description: >-
                        Provisional regular return receipt number of the most
                        recently filed return. Must be exactly 15 characters.
                      type: string
                      minLength: 15
                      maxLength: 15
                    challan_amount:
                      description: Total amount of the challan. Must be a positive integer.
                      type: integer
                      minimum: 1
                    unique_pan_amount_combination_for_challan:
                      description: >-
                        Array of PAN-amount pairs for the selected challan. Must
                        contain between 2 and 4 elements (1 header row + 1 to 3
                        data rows).


                        **First element (header row):** `["sr_no", "pan",
                        "total_amount_deposited_against_pan"]`


                        **Subsequent elements (data rows):**


                        `sr_no`: positive integer


                        `pan`: string matching
                        `[A-Z]{3}[PCFTGHLABJ]{1}[A-Z]{1}[0-9]{4}[A-Z]{1}` (e.g.,
                        `XXXPX1234A`)


                        `total_amount_deposited_against_pan`: non-negative
                        number
                      type: array
                      minItems: 2
                      maxItems: 4
                      items:
                        type: array
                        items: {}
                  required:
                    - '@entity'
                    - quarter
                    - financial_year
                    - form
                    - bsr_code
                    - challan_date
                    - challan_serial_no
                    - provisional_receipt_number
                    - challan_amount
                    - unique_pan_amount_combination_for_challan
                remember_me:
                  description: >-
                    Whether to save the TRACES credentials for future requests.
                    When `true`, subsequent jobs can be submitted without
                    re-entering credentials.
                  type: boolean
              required:
                - '@entity'
                - username
                - password
                - tan
                - security_captcha
                - remember_me
            examples:
              200 - Success:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 24Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: false
              '200 Job created: Form 16A':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 26Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
              '200 Job created: Invalid Credentials':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 26Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01906'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 50000
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234H
                        - 100
                      - - 2
                        - XXXPX1234O
                        - 50
                      - - 3
                        - XXXPX1234L
                        - 2000
                  remember_me: true
              '200 Job created: Invalid Security Captcha':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 26Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01906'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 50000
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXCX1234B
                        - 1000
                      - - 2
                        - 'XXXAX2345A '
                        - 2222
                      - - 3
                        - XXXBX3456B
                        - 7999
                  remember_me: true
              '200 Job created: Invalid TAN':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 27Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01907'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 12000
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXTX1234P
                        - 10000
                  remember_me: true
              '200 Job created: Form not available':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 26Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234B
                        - 21
                  remember_me: true
              '200 Job created: Job already submitted':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 26Q
                    bsr_code: '0910005'
                    challan_date: 1701109800000
                    challan_serial_no: '03905'
                    provisional_receipt_number: '770000211345596'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234B
                        - 21
                  remember_me: true
              422 Missing Credentials:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 26Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
              422 Security Captcha Missing:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  remember_me: true
              422 Invalid TAN pattern:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: DABC2345DD
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 26Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
              422 Invalid Form Type:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2023-24
                    form: 27Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
              422 Invalid Quarter:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q9
                    financial_year: FY 2023-24
                    form: 26Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
              422 Invalid Financial Year:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2022-2
                    form: 26Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
              '422 Form Mismatch: Form16A':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2022-2
                    form: 24Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
              '422 Quarter Mismatch: Form 16':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q3
                    financial_year: FY 2022-2
                    form: 24Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
              '422 Form Mismatch: Form16':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                  security_captcha:
                    '@entity': >-
                      in.co.sandbox.tds.compliance.traces.credentials.security_captcha
                    quarter: Q4
                    financial_year: FY 2022-2
                    form: 27Q
                    bsr_code: '0510002'
                    challan_date: 1701109800000
                    challan_serial_no: '01905'
                    provisional_receipt_number: '770000211345676'
                    challan_amount: 21
                    unique_pan_amount_combination_for_challan:
                      - - sr_no
                        - pan
                        - total_amount_deposited_against_pan
                      - - 1
                        - XXXPX1234A
                        - 1
                  remember_me: true
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      job_id:
                        type: string
                      tan:
                        type: string
                      quarter:
                        type: string
                      financial_year:
                        type: string
                      form:
                        type: string
                      status:
                        type: string
                      remember_me:
                        type: boolean
                      created_at:
                        type: integer
              examples:
                200 - Success:
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                      tan: AHMA09719B
                      quarter: Q4
                      financial_year: FY 2023-24
                      form: 24Q
                      status: created
                      remember_me: false
                      created_at: 1716870600000
                '200 Job created: Form 16A':
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: 67addd14-df35-4e74-b27b-2333784f5f24
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 67addd14-df35-4e74-b27b-2333784f5f24
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: created
                      remember_me: true
                      created_at: 1716870600000
                '200 Job created: Invalid Credentials':
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: 0b205f2c-d27d-4bf3-b128-c6b16ebc065d
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 0b205f2c-d27d-4bf3-b128-c6b16ebc065d
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: created
                      remember_me: true
                      created_at: 1716870600000
                '200 Job created: Invalid Security Captcha':
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: c6cb65db-51dd-4369-882c-b90faccaeb28
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: c6cb65db-51dd-4369-882c-b90faccaeb28
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: created
                      remember_me: true
                      created_at: 1716870600000
                '200 Job created: Invalid TAN':
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: ff78e6e2-3ea9-402b-9a09-a88c2413165f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: ff78e6e2-3ea9-402b-9a09-a88c2413165f
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: created
                      remember_me: true
                      created_at: 1716870600000
                '200 Job created: Form not available':
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: 3e93481b-b9fb-41f7-9eeb-f76369b8291e
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 3e93481b-b9fb-41f7-9eeb-f76369b8291e
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: created
                      remember_me: true
                      created_at: 1716870600000
                '200 Job created: Job already submitted':
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: 28cc5c28-db2d-4224-be5c-9842c213c100
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 28cc5c28-db2d-4224-be5c-9842c213c100
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: created
                      remember_me: true
                      created_at: 1716870600000
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                422 Missing Credentials:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Missing credentials
                422 Security Captcha Missing:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Security captcha is missing
                422 Invalid TAN pattern:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Invalid TAN: DABC2345DD'
                422 Invalid Form Type:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Invalid form_type: part-a'
                422 Invalid Quarter:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Invalid quarter: Q9'
                422 Invalid Financial Year:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Invalid financial year: FY 2022-2'
                '422 Form Mismatch: Form16A':
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Form 16A certificate cannot be generated for 24Q returns
                '422 Quarter Mismatch: Form 16':
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Form 16 certificate can be generated only for Q4 returns
                '422 Form Mismatch: Form16':
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Form 16 certificate can be generated only for 24Q returns
                422 Invalid Username:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Invalid username: '
                422 Invalid Password:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Invalid password: '
                422 Invalid Challan Amount:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Invalid challan_amount: 0'
                422 Invalid Provisional Receipt Number:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Invalid provisional_receipt_number length
                422 Invalid BSR Code:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: invalid bsr_code length
                422 Invalid Challan Serial Number:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Invalid challan_serial_no length
                422 Invalid Challan Date:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Invalid challan_date
                422 Invalid Remember Me:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Invalid remember_me
                422 Invalid PAN Amount Combination:
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: Invalid unique_pan_amount_combination_for_challan

````